Look for QtGraphicalEffects, so packagers don't forget it
ClosedPublic

Authored by apol on Jul 7 2017, 11:07 AM.

Diff Detail

Repository
R169 Kirigami
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
apol created this revision.Jul 7 2017, 11:07 AM
Restricted Application added a project: Kirigami. · View Herald TranscriptJul 7 2017, 11:07 AM
Restricted Application added a subscriber: plasma-devel. · View Herald Transcript

Probably should go to ECM instead of being copy pasted.

apol added a comment.Jul 7 2017, 11:20 AM

Probably should go to ECM instead of being copy pasted.

Yes, right... xD

mart added a comment.Aug 1 2017, 5:22 PM

any update on this?

apol planned changes to this revision.Aug 3 2017, 2:10 PM

Need to be rebased on top of https://phabricator.kde.org/D7094 when it's merged.

apol updated this revision to Diff 17925.Aug 9 2017, 11:14 AM

Use the macro in ECM now

davidedmundson accepted this revision.Aug 9 2017, 11:26 AM
This revision is now accepted and ready to land.Aug 9 2017, 11:26 AM
sitter accepted this revision.Aug 9 2017, 11:28 AM

lovely jubbly!

apol added a comment.Aug 11 2017, 11:23 PM

I was thinking: should I wait for a month so that ECM has been released with it maybe? Otherwise it will be a hard dependency and people won't be able to use the master branch...

In D6549#134794, @apol wrote:

I was thinking: should I wait for a month so that ECM has been released with it maybe? Otherwise it will be a hard dependency and people won't be able to use the master branch...

I think it's totally fine for a framework master to depend on ECM master. At least for KWin I think I'll introduce this ecm_find_qmlmodule without waiting another month ;-)

This revision was automatically updated to reflect the committed changes.